Categories:
  - Multimedia
  - System
License: GPL-3.0-only
AuthorName: Atharok
AuthorEmail: atharok@duck.com
SourceCode: https://gitlab.com/Atharok/BarcodeScanner
IssueTracker: https://gitlab.com/Atharok/BarcodeScanner/-/issues
Changelog: https://gitlab.com/Atharok/BarcodeScanner/-/releases
Liberapay: Atharok

AutoName: Barcode Scanner

RepoType: git
Repo: https://gitlab.com/Atharok/BarcodeScanner.git

Builds:
  - versionName: 1.1.0
    versionCode: 6
    commit: 73a6b228d17dd0cc9ad1b69fa68038591d95fd1f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 7
    commit: 1b452a3eeda11a8dea08abdaf6b08e4dbaf2e709
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 8
    commit: bc13f0c53df61d6f7b37bb929279110f90a36e23
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.2
    versionCode: 10
    commit: 26e5b01cbe4237845b0cbf1dd29f06b9b12946fb
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.4
    versionCode: 12
    commit: 3d720abf0a38646e0727d03bb7a3210ae0f33f6b
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 13
    commit: 9d37ecc241bb13662aa5204e4e043c01c2f6248a
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.0
    versionCode: 14
    commit: 5e5e53c8a711100cf11a5530fc507d309e6b5596
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.0
    versionCode: 16
    commit: 52cfa49f4283d6391c79ab87a88e6376e26a6d3a
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 17
    commit: 62c294436e9f691f8ac41034a5db631063a9f38a
    subdir: app
    gradle:
      - yes

  - versionName: 1.7.0
    versionCode: 18
    commit: f6087dff12bd4dda8e9f893a0e35ebac9ae45271
    subdir: app
    gradle:
      - yes

  - versionName: 1.8.0
    versionCode: 19
    commit: 6a0e13be50545040cb25399da87dac4f9d188b7c
    subdir: app
    gradle:
      - yes

  - versionName: 1.8.1
    versionCode: 20
    commit: a55dce136eaf372edb2ce871b2564e31bc691951
    subdir: app
    gradle:
      - yes

  - versionName: 1.9.0
    versionCode: 21
    commit: be8c12ecf173e67e0d6455a9fe083f30fd0f389d
    subdir: app
    gradle:
      - yes

  - versionName: 1.9.1
    versionCode: 22
    commit: 7472c61f318b9b7df59aef3fec9521231a3d6b14
    subdir: app
    gradle:
      - yes

  - versionName: 1.10.0
    versionCode: 23
    commit: d184263d9263a254edfef5a432b9600eae504b47
    subdir: app
    gradle:
      - yes

  - versionName: 1.10.1
    versionCode: 24
    commit: 4374a3445eeaeb8258fdafcc73fbc64e954833fb
    subdir: app
    gradle:
      - yes

  - versionName: 1.11.0
    versionCode: 25
    commit: a56adf5759771131b04a221908d42373d3cf8f53
    subdir: app
    gradle:
      - yes

  - versionName: 1.12.0
    versionCode: 26
    commit: 2c8933d0fbdd9833c2e0cac93325dc429b07ee14
    subdir: app
    gradle:
      - yes

  - versionName: 1.13.0
    versionCode: 27
    commit: a46dc5be9a5d870c9ebfe66a0a139e2ab9c7fe12
    subdir: app
    gradle:
      - yes

  - versionName: 1.14.0
    versionCode: 30
    commit: 628f3d8c2e259bae3e422a8001728c9e344ff78c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.14.1
    versionCode: 31
    commit: e9e2c8006a7d64f5e4efc864a9cefd8fcbff1a4d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.14.1
CurrentVersionCode: 31
